de.esprit.netsuite.server.config

## Enum ServerParamsConfigKey

- java.lang.Object
- - java.lang.Enum<ServerParamsConfigKey>
  - - de.esprit.netsuite.server.config.ServerParamsConfigKey

- All Implemented Interfaces:
    ServerConfigKey, java.io.Serializable, java.lang.Comparable<ServerParamsConfigKey>

      public enum ServerParamsConfigKey
      extends java.lang.Enum<ServerParamsConfigKey>
      implements ServerConfigKey

  This class defines all dynamic server configuration keys
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN_EMAIL_ADDRESS`
    `DEFAULT_USER_PASSWORD`
    `EXPECTED_MAX_USERS`
    `IS_SEND_EMAIL_ENABLED`
    `IS_SEND_LOGS_TO_CLIENT`
    `LOG_LEVEL`
    `LOG_MAX_FILES`
    `LOG_MAX_LINES`
    `MAX_PARALLEL_AGENTS`
    `MAX_PARALLEL_REQUESTS`
    `MAX_PARALLEL_TRANSFERS`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.netsuite.server.config.ServerConfigKey

      `PREFIX_CPU, PREFIX_EMAIL_ACCOUNT, PREFIX_EMAIL_CONFIG, PREFIX_EMAIL_TARGET, PREFIX_ESPRIT, PREFIX_LOG, PREFIX_SERVER, PREFIX_WEBSERVER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()` Returns the raw key without a prefix path like 'uniqueServerName'.
    `java.lang.String` | `getName()` Returns the full key name i.e.
    `java.lang.String` | `toString()`
    `static ServerParamsConfigKey` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ServerParamsConfigKey[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOG_MAX_LINES

          public static final ServerParamsConfigKey LOG_MAX_LINES

    - #### LOG_MAX_FILES

          public static final ServerParamsConfigKey LOG_MAX_FILES

    - #### LOG_LEVEL

          public static final ServerParamsConfigKey LOG_LEVEL

    - #### IS_SEND_LOGS_TO_CLIENT

          public static final ServerParamsConfigKey IS_SEND_LOGS_TO_CLIENT

    - #### IS_SEND_EMAIL_ENABLED

          public static final ServerParamsConfigKey IS_SEND_EMAIL_ENABLED

    - #### DEFAULT_USER_PASSWORD

          public static final ServerParamsConfigKey DEFAULT_USER_PASSWORD

    - #### ADMIN_EMAIL_ADDRESS

          public static final ServerParamsConfigKey ADMIN_EMAIL_ADDRESS

    - #### EXPECTED_MAX_USERS

          public static final ServerParamsConfigKey EXPECTED_MAX_USERS

    - #### MAX_PARALLEL_REQUESTS

          public static final ServerParamsConfigKey MAX_PARALLEL_REQUESTS

    - #### MAX_PARALLEL_TRANSFERS

          public static final ServerParamsConfigKey MAX_PARALLEL_TRANSFERS

    - #### MAX_PARALLEL_AGENTS

          public static final ServerParamsConfigKey MAX_PARALLEL_AGENTS

  - ### Method Detail

    - #### values

          public static ServerParamsConfigKey[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerParamsConfigKey c : ServerParamsConfigKey.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerParamsConfigKey valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `ServerConfigKey`
      Returns the full key name i.e. 'esprit.server.uniqueServerName'.
      Specified by:
        `getName` in interface `ServerConfigKey`

    - #### getKey

          public java.lang.String getKey()

      Description copied from interface: `ServerConfigKey`
      Returns the raw key without a prefix path like 'uniqueServerName'.
      Specified by:
        `getKey` in interface `ServerConfigKey`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ServerParamsConfigKey>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.